#ifndef GUARD_413D576D943A16C984254F2FA4BB5B91
#define GUARD_413D576D943A16C984254F2FA4BB5B91

#include "color32.h"
#include "vec2i.h"

struct sw_image32 {
	struct sw_vec2i size;
	sw_color32 *_data;
};

struct sw_image32 *sw_image32_create(struct sw_vec2i size);
void sw_image32_destroy(struct sw_image32 *image);

struct sw_image32 *sw_image32_load_png(char *path);
struct sw_image32 *sw_image32_load_png_data(u8 *data, u32 data_len);

sw_color32 sw_image32_get(struct sw_image32 *image, struct sw_vec2i pos);

#endif /* GUARD_413D576D943A16C984254F2FA4BB5B91 */
